/*
WormBench - Synthetic workload for Transactinal Memory Systems
Copyright (C) 2008  Barcelona Supercomputing Center www.bscmsrc.eu

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
*/

//+----------------------------------------------------------------------------
//
// File Name: BenchWorldNode.cs
// Description: Abstracts the node object within the BenchWorld.
// Organization: Barcelona Supercomputing Center
// Author: Ferad Zyulkyarov ferad.zyulkyarov[@]bsc.es
// Date: 22.01.2008
//
//-----------------------------------------------------------------------------

using System;

namespace Bsc.WormBench
{
    /// <summary>
    /// Abstracts the node object within the BenchWorld.
    /// </summary>
    public class BenchWorldNode
    {
        private int value;
        private int wormGroupId;

        public BenchWorldNode()
        {
            value = 0;
            wormGroupId = 0;
        }

        public BenchWorldNode(int value)
        {
            this.value = value;
            wormGroupId = 0;
        }

        public int Value
        {
            get
            {
                return value;
            }

            set
            {
                this.value = value;
            }
        }

        public int WormGroupId
        {
            get
            {
                return wormGroupId;
            }
            set
            {
                wormGroupId = value;
            }
        }
    }
}
