/*
WormBench - Synthetic workload for Transactinal Memory Systems
Copyright (C) 2008  Barcelona Supercomputing Center www.bscmsrc.eu

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
*/

//+----------------------------------------------------------------------------
//
// File Name: Definitions.cs
// Description: Global constat definitions.
// Organization: Barcelona Supercomputing Center
// Author: Ferad Zyulkyarov ferad.zyulkyarov[@]bsc.es
// Date: 22.01.2008
//
//-----------------------------------------------------------------------------

using System;

namespace Bsc.WormBench
{
    /// <summary>
    /// Global constat definitions.
    /// </summary>
    public class Definitions
    {
        public const int RESULTS_QUEUE_LIMIT = 200;

        #region Worm Operations Names

        //
        // Read-only operations
        //
        public const string SUM = "sum";
        public const string AVERAGE = "average";
        public const string MEDIAN = "median";
        public const string MINIMUM = "minimum";
        public const string MAXIMUM = "max";
        public const string SUBTRACT = "subtract";

        //
        // Small write-set operations
        //
        public const string AVG_TO_MAX = "avg_to_max"; 
        public const string AVG_TO_MIN = "avg_to_max";
        public const string REPLACE_MAX_MIN = "replace_max_min";
 
        //
        // Big write-set operations
        //
        public const string SORT = "sort";
        public const string TANSPOSE = "transpose";
        #endregion
    }
}
