/*
WormBench - Synthetic workload for Transactinal Memory Systems
Copyright (C) 2008  Barcelona Supercomputing Center www.bscmsrc.eu

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
*/

//+----------------------------------------------------------------------------
//
// File Name: ParseException.cs
// Description: An expetion thrown when a parsing error occurs.
// Organization: Barcelona Supercomputing Center
// Author: Ferad Zyulkyarov ferad.zyulkyarov[@]bsc.es
// Date: 22.01.2008
//
//-----------------------------------------------------------------------------

using System;

namespace Bsc.WormBench
{
    /// <summary>
    /// An expetion thrown when a parsing error occurs.
    /// </summary>
    public class ParseException : Exception
    {
        public ParseException()
            : base("ParseException: Unknown")
        {
        }

        public ParseException(string errorMessage)
            : base("ParseException: " + errorMessage)
        {
        }

        public ParseException(string errorMessage, string fileName)
            : base("ParseException: " + errorMessage + ", file: " + fileName)
        {
        }

        public ParseException(string errorMessage, string fileName, int lineNo)
            : base("ParseException: " + errorMessage + ", file: " + fileName + ", line: " + lineNo)
        {
        }
    }
}
